Description

Per default, Rails uses "/" as path in session cookies. When mounting

Redmine on a relative URL root, say '/redmine', the path in the cookie

should also say "/redmine". Otherwise a browsers sendsi the cookie to

all applications running on the same host. This is problematic when

running more than one Redmine instance on one server.

Fix it by setting the cookie path to config.relative_url_root when set,

"/" otherwise. Rails automatically sets this config from the environment

variable RAILS_RELATIVE_URL_ROOT.

Related to Patch #3968

Related issues:

Related to Redmine - Defect #16489: Autologin Cookie doesn't differentiate be... Closed

Related to Redmine - Feature #14237: Allow custom path for "_redmine_session_... Closed

Associated revisions

Revision 14876 - 2015-11-14 11:04 - Jean-Philippe Lang

Use config.relative_url_root as the default path for session and autologin cookies (#21169).

Patch by Daniel Ritz.

History

#1 - 2015-11-07 08:05 - Go MAEDA

- Related to Defect #16489: Autologin Cookie doesn't differentiate between different Redmine systems within the same browser added

#2 - 2015-11-07 15:29 - Daniel Ritz

Thanks for pointing out the autologin cookie. Didn't notice it since I had it disabled.

I think it would make sense to use RAILS_RELATIVE_URL_ROOT for the autologin cookie too, but only as default value instead of "/". When

autologin_cookie_path is set, that one should be used instead. Does that sound reasonable?

#3 - 2015-11-07 15:40 - Daniel Ritz

- File session-path-when-using-RAILS_RELATIVE_URL_ROOT_v2.patch added

v2 of the patch with fix for autologin cookie path.

#4 - 2015-11-08 14:54 - Daniel Ritz

Also related to #14237.

#5 - 2015-11-09 19:24 - Jean-Philippe Lang

- Target version set to 3.2.0

#6 - 2015-11-14 11:04 - Jean-Philippe Lang

- Subject changed from Fix session path when using RAILS_RELATIVE_URL_ROOT to Use config.relative_url_root as the default path for session

and autologin cookies

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

Committed, thanks.

#7 - 2015-11-14 11:37 - Toshi MARUYAMA

- Related to Feature #14237: Allow custom path for "_redmine_session_" cookie added

Files

session-path-when-using-RAILS_RELATIVE_URL_ROOT.patch 737 Bytes 2015-11-06 Daniel Ritz

session-path-when-using-RAILS_RELATIVE_URL_ROOT_v2.patch 1.3 KB 2015-11-07 Daniel Ritz
